// neoptimalizovane 2^k knlog n
#include <algorithm>
#include <array>
#include <iostream>
#include <map>
#include <string>
#include <vector>
using namespace std;

void solve(const vector<int> &T, int sigma, int &optx, int &opty) {
    optx = opty = 0;
    map< vector<int>, int > first_seen;
    vector<int> diffs( sigma-1, 0 );
    first_seen[diffs] = 0;
    int N = T.size();
    for (int n=0; n<N; ++n) {
        if ( T[n] < sigma-1 ) ++diffs[ T[n] ];
        if ( T[n] > 0 ) --diffs[ T[n]-1 ];
        if ( first_seen.count(diffs) ) {
            int z = first_seen[diffs];
            if (n - z > opty - optx) { optx=z; opty=n; }
        } else {
            first_seen[diffs] = n+1;
        }
    }
}

int main() {
    string S; cin >> S;
    int N = S.size();

    vector<int> T;
    for (int n=0; n<N; ++n) T.push_back( S[n]-'a' );
    int sigma = 1 + (*max_element(T.begin(),T.end()));
    T.push_back(sigma);

    int ox=0, oy=0;
    for (int chcem=0; chcem<(1<<sigma); ++chcem) {
        vector<int> rename(sigma+1,-1);
        int poc=0;
        for (int s=0; s<sigma; ++s) if (chcem & 1<<s) rename[s]=poc++;
        vector<int> curr;
        for (int i=0; i<=N; ++i) {
            int x = T[i];
            if (rename[x]==-1) {
                if (!curr.empty()) {
                    int tx, ty;
                    int offset = i - curr.size();
                    solve(curr,poc,tx,ty);
                    if (ty-tx > oy-ox || (ty-tx==oy-ox && tx+offset<ox)) { ox=tx+offset; oy=ty+offset; }
                    curr.clear();
                }
            } else {
                curr.push_back( rename[x] );
            }
        }
    }
    cout << ox << " " << oy << endl;
}
